Last Comment Bug 635038 - Minor update 3.5 users to 3.6 and EOL it
: Minor update 3.5 users to 3.6 and EOL it
Status: RESOLVED FIXED
[sg:want P1]
:
Product: Firefox
Classification: Client Software
Component: Security (show other bugs)
: unspecified
: x86 All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-17 14:00 PST by Daniel Veditz [:dveditz]
Modified: 2011-10-05 10:43 PDT (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
needed
wanted


Attachments

Description Daniel Veditz [:dveditz] 2011-02-17 14:00:24 PST
placeholder bug for minor upgrading 3.5 people to 3.6, bypassing the Major Update prompt. This has the advantage of getting people off 3.5 sooner rather than later. It also gives a more secure home for people who will not be able to ever update to 4.0 (e.g. PPC users) rather than waiting and giving them a MU to 4.0 and calling it done.

I'm not proposing a particular timing here, we could do this instead of, before, or _after_ a major update prompt to 4.0, and before or after 4.0 ships.

My preference is to do this ASAP and call 3.5 unsupported, but then later give the remaining unsupported people the scary major update prompt to 4.0
Comment 1 christian 2011-02-18 10:39:30 PST
If we were to do this, we'd have to be sure we didn't drop any supported platforms between 3.5 and 3.6 (or have some way to filter them out of the update)
Comment 2 chris hofmann 2011-02-18 13:22:54 PST
agree with comment 1, but I'm not sure there will be anything that turns up in that check.  I'm pretty sure that when 3.6 and 3.6.6 were concived, were were thinking they would be turned in to minor upgrades.  I think we just got too busy to execute on that plan.   for 3.5 users 3.6.x seem a much safer landing place with addon compatibilty at 69% and more bake time needed for 4.0.

we really need to shutdown 3.5 for a lot of reasons and get the 11-14 million active daily users moved up to something newer, more stable, and possibly safer as soon as possible.
Comment 3 chris hofmann 2011-04-07 19:56:54 PDT
now is a good time to get this discussion started again.

anyone see any roadblocks to doing this soon?

looks like we dropped about a million 3.5.x weekday users over the last month to running at a rate of 12,493,231 per each weekday recently.

are there any additional major update offers we should show to this users before announcing discontinued updates?
Comment 4 christian 2011-04-08 09:16:45 PDT
Yes. We want the MU offer to 4 to come out first, which is scheduled for May 3rd. I have a draft proposal on how to EOL it (including this bug) that I will be circulating shortly. I have already discussed this with various stakeholders and everyone seems to be in agreement so I expect little debate.
Comment 5 Daniel Veditz [:dveditz] 2011-10-05 10:43:01 PDT
We did this: 3.5 is EOL and we gave a minor update that, while it didn't catch everyone, did help us get to a state where 3.5 has fewer daily users than 3.0

Note You need to log in before you can comment on or make changes to this bug.